# List Transactions

Get a list of all transactions in an organization.

Endpoint: GET /api/v1/transactions
Version: 0.2.0
Security: bearerAuth

## Query parameters:

  - `page` (integer)
    The page number to fetch.

  - `size` (integer)
    The number of items per page.

  - `skip_count` (boolean)
    Whether to skip counting the total number of items.

  - `created_before` (string)

  - `created_after` (string)

  - `modified_after` (string)

  - `vault_ids` (array)
    The filter applies both to transactions that have been signed by the vault and also to transactions that have interacted with the vault.

  - `chains` (array)

  - `initiator_ids` (array)

  - `types` (array)
    Enum: "aptos_message", "aptos_transaction", "arch_transaction", "black_box_signature", "cosmos_message", "cosmos_transaction", "evm_message", "evm_transaction", "exchange_transaction", "solana_message", "solana_transaction", "stacks_transaction", "starknet_message", "starknet_transaction", "stellar_message", "stellar_transaction", "sui_message", "sui_transaction", "ton_message", "ton_transaction", "tron_message", "tron_transaction", "utxo_message", "utxo_transaction"

  - `sub_types` (array)
    Enum: "transfer", "allowance", "cross_chain_bridge", "transaction", "contract_call", "contract_deployment", "message_signature", "allowance_signature"

  - `signer_types` (array)
    Enum: "initiator", "api_signer", "end_user", "multiple_signers", "api_user"

  - `user_types` (array)
    Enum: "person", "api_signer", "api_user", "system"

  - `transaction_ids` (array)

  - `end_user_ids` (array)

  - `asset_ids` (array)

  - `direction` (string)
    Enum: "outgoing", "incoming"

  - `transaction_hashes` (array)
    Transaction hashes to filter by. Will return transactions with any of the specified hashes. The format of the hash depends on the blockchain type.

  - `search` (string)
    String to search transactions by ID or hash.

  - `frozen` (boolean)
    Filter for frozen transactions or transactions that were unfrozen.

  - `claimed` (boolean)
    Filter for transactions waiting for the receiver to claim or accept. true selects settled transfers (Stellar claimable balances that were claimed, Canton transfers that were accepted). false selects ones not yet settled — still pending receiver action, or (Canton) already expired.

  - `states` (array)
    State of the transaction. Can be one of the following:aborted accelerated accelerating approved canceling cancelled completed completed_reverted dropped error_processing_by_exchange error_pushing_to_blockchain error_signing error_submitting_to_exchange error_submitting_to_provider finalized_for_signing insufficient_funds mined mined_reverted pending_exchange pushed_to_blockchain queued sent_to_provider signed stuck waiting_for_approval waiting_for_signing_trigger, or an aggregation of states:error, which can be one of:completed_reverteddroppederror_processing_by_exchangeerror_pushing_to_blockchainerror_signingerror_submitting_to_exchangeerror_submitting_to_providerinsufficient_fundsfinalized, which can be one of:abortedacceleratedcancelledcompletedcompleted_reverteddroppederror_processing_by_exchangeerror_pushing_to_blockchainerror_signingerror_submitting_to_exchangeerror_submitting_to_providerinsufficient_fundspending, which can be one of:acceleratingapprovedcancelingfinalized_for_signingfinalized_for_signingminedmined_revertedpending_exchangepushed_to_blockchainqueuedsent_to_providersignedstuckwaiting_for_approvalwaiting_for_signing_trigger

  - `is_hidden` (boolean)

  - `include_full_response` (boolean)

  - `batch_ids` (array)

  - `include_blackbox` (boolean)

  - `policy_rule_ids` (array)

  - `sort_by` (array)
    Enum: "created_at_asc", "created_at_desc", "modified_at_asc", "modified_at_desc", "type_asc", "type_desc", "chains_asc", "chains_desc"

## Response 200 fields (application/json):

  - `total` (integer, required)

  - `page` (integer, required)

  - `size` (integer, required)

  - `transactions` (array, required)

## Response 400 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

  - `system_error_code` (string)
    An additional system error code in Fordefi.

## Response 401 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 422 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (array, required)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.


